class Model {
  constructor() {}

  parseXML(xml) {
    let parser = new DOMParser();
    let xmlDoc = parser.parseFromString(xml, "text/xml");

    this.comments = [];

    let comment = xmlDoc.getElementsByTagName("comment");
    for (let i = 0; i < comment.length; i++) {
      let start = comment[i].getElementsByTagName("start")[0].innerHTML;
      let end = comment[i].getElementsByTagName("end")[0].innerHTML;
      let title = comment[i].getElementsByTagName("title")[0].innerHTML;
      let text = comment[i].getElementsByTagName("text");

      this.comments.push(new Comment(start, end, title, text));
    }

    return this.comments;
  }
}
